      subroutine makels(isym)                                           MAKE001
c ----------------------------------------------------------------------MAKE002
c    converts UPCASE element string isym into Upper/lower symbol        MAKE003
c ----------------------------------------------------------------------MAKE004
c     This program module is part of the PhysiSoft X-ray Library        MAKE005
c     and may not be sold or reproduced for commercial purposes.        MAKE006
c     Although it has been tested carefully, there is no warranty       MAKE007
c     regarding accuracy or freedom from side-effects.                  MAKE008
c                   (C) 1986-1990 Bernhard Rupp                         MAKE009
c ----------------------------------------------------------------------MAKE010
      character isym(2)                                                 MAKE011
      integer      iascii                                               MAKE012
C-----change to upper case                                              MAKE013
      if (ichar(isym(1)).ge.95.and.ichar(isym(1)).le.122) then          MAKE014
         iascii=ichar(isym(1))-32                                       MAKE015
         isym(1)=char(iascii)                                           MAKE016
      endif                                                             MAKE017
      if (ichar(isym(2)).ge.65.and.ichar(isym(2)).le.90) then           MAKE018
         iascii=ichar(isym(2))+32                                       MAKE019
         isym(2)=char(iascii)                                           MAKE020
      endif                                                             MAKE021
                                                                        MAKE022
      return                                                            MAKE023
      end                                                               MAKE024
                                                                        MAKE025
                                                                        MAKE026
